%define name	mkxauth
%define version	1.7
%define release	%mkrel 11

Summary:	A utility for managing .Xauthority files
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		File tools
Url:		http://www.tummy.com/krud/packages/mkxauth.html
Source0: 	%{name}-%{version}.tar.bz2
BuildArch: 	noarch
Requires: 	xauth 
Requires: 	textutils
Requires:	fileutils
Requires:	sh-utils
Requires:	procps
Requires:	gzip
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The mkxauth utility helps create and maintain X authentication
databases (.Xauthority files).  Mkxauth is used to create an
.Xauthority file or to merge keys from another local or remote
.Xauthority file.  .Xauthority files are used by the xauth
user-oriented access control program, which grants or denies
access to X servers based on the contents of the .Xauthority
file.

The mkxauth package should be installed if you're going to use
user-oriented access control to provide security for your X Window
System (a good idea).

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -m 0755 mkxauth $RPM_BUILD_ROOT%{_bindir}/mkxauth
install -m 0444 mkxauth.1x.bz2 $RPM_BUILD_ROOT%{_mandir}/man1/mkxauth.1x.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mkxauth
%{_mandir}/man1/*



%changelog
* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 10:58:53 (58270)
- silent %%%%setup

* Mon Aug 28 2006 Pixel <pixel@mandriva.com>
+ 2006-08-28 10:57:04 (58269)
- move from /usr/X11R6/bin to /usr/bin

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue May 16 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-16 16:16:01 (27424)
- do not depend on a hardcode path. Better depend on a package

* Mon May 15 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-15 19:29:55 (27411)
- adding mkxauth to the repository

* Thu Oct 13 2005 Pixel <pixel@mandriva.com> 1.7-9mdk
- rebuild

* Sun May 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.7-8mdk
- rebuild for rpm 4.2

* Mon Nov 12 2001 Yves Duret <yduret@mandrakesoft.com> 1.7-7mdk
- added url tag and rebuild for sir rpmlint

* Wed Jul 18 2001 Yves Duret <yduret@mandrakesoft.com> 1.7-6mdk
- spec clean up: s#Copyright#License#
- macros : man page, define, source...

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 1.7-5mdk
- macros
- fixed man/lib/bin path according to the FHS.

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.7-4mdk
- fix group

* Mon Nov 29 1999 Florent Villard <warly@mandrakesoft.com>
- better packaging

* Wed May 12 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptations

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- rebuild, change spec file name

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added more dependency information.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
